Package com.plannaplan.security

# Enum AuthorityRoles

java.lang.Object
java.lang.Enum<AuthorityRoles>
com.plannaplan.security.AuthorityRoles

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AuthorityRoles>`, `java.lang.constant.Constable`, `org.springframework.security.core.GrantedAuthority`

    public enum AuthorityRoles
    extends java.lang.Enum<AuthorityRoles>
    implements org.springframework.security.core.GrantedAuthority

Users Roles for spring app

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ADMIN` |
`DEANERY` |
`DEVELOPER` |
`STUDENT` |
`TEST_USER` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getAuthority()` |
`static java.util.Optional<AuthorityRoles>` | `getAuthorityRole​(com.plannaplan.types.UserRoles role)` | map buisness logic UserRoles enum to spring enum
`static AuthorityRoles` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static AuthorityRoles[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STUDENT

public static final AuthorityRoles STUDENT

### DEANERY

public static final AuthorityRoles DEANERY

### ADMIN

public static final AuthorityRoles ADMIN

### TEST_USER

public static final AuthorityRoles TEST_USER

### DEVELOPER

public static final AuthorityRoles DEVELOPER

## Method Details

### values

public static AuthorityRoles[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AuthorityRoles valueOf​(java.lang.String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

### getAuthority

public java.lang.String getAuthority()

Specified by:
  `getAuthority` in interface `org.springframework.security.core.GrantedAuthority`

### getAuthorityRole

public static final java.util.Optional<AuthorityRoles> getAuthorityRole​(com.plannaplan.types.UserRoles role)
map buisness logic UserRoles enum to spring enum

Parameters:
  `role` - buisness logic enum
Returns:
  restservice AuthorityRoles enum